%define doc_ver 1.5

Summary: Interactive educational geometry software
Name: drgeo
Version: 1.1.0
Release: %mkrel 10
License: GPLv2+ and GFDLv1.2
Group: Sciences/Mathematics
URL: http://www.gnu.org/software/dr_geo/dr_geo.html

Source0: https://sourceforge.net/projects/ofset/files/%{name}/%{version}/%{name}-%{version}.tar.gz
#https://sourceforge.net/p/ofset/patches/7
Source1: %{name}.1
#https://sourceforge.net/p/ofset/patches/8
Source2: ru.po
Source3: https://sourceforge.net/projects/ofset/files/%{name}-doc/%{doc_ver}/%{name}-doc-%{doc_ver}.tar.gz
#https://sourceforge.net/p/ofset/patches/2
Patch0: %{name}-%{version}-deb-fix-segfault.patch
#https://sourceforge.net/p/ofset/patches/5
Patch1: %{name}-%{version}-fdr-anonymous-type.patch
#https://sourceforge.net/p/ofset/patches/12/
Patch2: %{name}-%{version}-fdr-format-security.patch
#https://sourceforge.net/p/ofset/patches/4
Patch3: %{name}-%{version}-deb-mga-html-viewer.patch
#https://sourceforge.net/p/ofset/patches/3
Patch4: %{name}-%{version}-deb-mga-default-html-viewer.patch
#https://sourceforge.net/p/ofset/patches/1
Patch5: %{name}-%{version}-mga-breaks-complex-computation.patch
#https://sourceforge.net/p/ofset/bugs/7
Patch6: %{name}-%{version}-mga-fix-crash-when-closing-document-before-closing-dialog-box.patch
#https://sourceforge.net/p/ofset/bugs/8
Patch7: %{name}-%{version}-mga-obsolete-norwegian.patch
#https://sourceforge.net/p/ofset/patches/11
Patch8: %{name}-%{version}-mga-desktop-file.patch

BuildRequires: flex
BuildRequires: bison
BuildRequires: gmp-devel >= 2.0.2
BuildRequires: pkgconfig(guile-1.8)
BuildRequires: guile1.8
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: gettext-devel
#intltool is unused, but it's easy way to install all dependencies (see Fedora)
BuildRequires: intltool

%description
Dr. Geo is an interactive geometry GUI application. It allows one to create
geometric figures plus the interactive manipulation of such figure in
respect with their geometric constraints. It is usable in teaching
situation with students from primary or secondary level.

%prep
%setup -q
%autopatch -p1
cp -f %{SOURCE2} ./po/
#https://sourceforge.net/p/ofset/bugs/8
rm -f ./po/no.*
tar xvfz %{SOURCE3}

# fix build on aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} .

%build
%configure
%make_build

cd %{name}-doc-%{doc_ver}
%configure

%install
%make_install
%find_lang %{name}
install -D -m0644 glade/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
#https://sourceforge.net/p/ofset/patches/10
mkdir %{buildroot}%{_datadir}/TeXmacs
mv %{buildroot}%{_datadir}/texmacs/TeXmacs/plugins %{buildroot}%{_datadir}/TeXmacs/.
rmdir %{buildroot}%{_datadir}/texmacs/TeXmacs
rmdir %{buildroot}%{_datadir}/texmacs
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/

cd %{name}-doc-%{doc_ver}
%make_install
#We have no Russian help, use default without program's questions
ln -s %{_datadir}/%{name}/help/c %{buildroot}%{_datadir}/%{name}/help/ru

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_bindir}/tm_%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/*.png
%{_datadir}/TeXmacs/plugins/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}*


%changelog
* Wed Aug 19 2020 martinw <martinw> 1.1.0-10.mga8
+ Revision: 1615960
- rebuild for rpm-mageia-setup changes

* Thu Feb 13 2020 umeabot <umeabot> 1.1.0-9.mga8
+ Revision: 1511919
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-8.mga7
+ Revision: 1297507
- Mageia 7 Mass Rebuild

* Sat Jul 14 2018 wally <wally> 1.1.0-7.mga7
+ Revision: 1243692
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 11 2016 umeabot <umeabot> 1.1.0-6.mga6
+ Revision: 953799
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 alexl <alexl> 1.1.0-5.mga6
+ Revision: 848543
- guile-fixups.patch is necessary if using Guile 1.9 or later
- added format security patch from Yaakov Selkowitz <yselkowi@redhat.com>

* Tue Jan 06 2015 alexl <alexl> 1.1.0-4.mga5
+ Revision: 808775
- updated desktop file (fixed desktop-file-validate warnings, added GenericName)

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 742950
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-2.mga5
+ Revision: 678861
- Mageia 5 Mass Rebuild

* Sat Apr 19 2014 alexl <alexl> 1.1.0-1.mga5
+ Revision: 617093
- add missing buildrequires with help intltool
- imported package drgeo

